/*
//  pgipfauth - Postgres IPF Authorization Helper
//  IPFAuthBase
//
//  Basic include's, define's, and typedef's.
//
//  Created by Jeffrey Frey on 2008.02.01
//  Copyright (c) 2007 University of Delaware
//
//  $Id: IPFAuthBase.h 17 2008-02-07 16:09:13Z frey $
*/

#ifndef __IPFAUTHBASE__
#define __IPFAUTHBASE__

#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <arpa/inet.h>


/*!
  @typedef IPFAuthPacketDisposition
  
  We define constants for the authorization disposition returned by
  various functions throughout.
*/
typedef enum {
  kIPFAuthDisposition_Block,
  kIPFAuthDisposition_Pass,
  kIPFAuthDisposition_Unknown
} IPFAuthDisposition;

#endif /* __IPFAUTHBASE__ */
